
from fastapi import FastAPI

from app.database import Base, engine
from app.routers import health, todos

# Create tables
Base.metadata.create_all(bind=engine)

app = FastAPI(
    title="SimpleTodoApp",
    description="A simple Todo application with FastAPI",
    version="0.1.0"
)

# Include routers
app.include_router(todos.router, tags=["todos"], prefix="/api/todos")
app.include_router(health.router, tags=["health"])

if __name__ == "__main__":
    import uvicorn
    uvicorn.run("main:app", host="0.0.0.0", port=8000, reload=True)