"""Initial migration
# isort: skip_file
# ruff: noqa: I001

Revision ID: a1b2c3d4e5f6
Revises: 
Create Date: 2023-10-11 12:00:00.000000

"""
from alembic import op  # noqa: I001
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'a1b2c3d4e5f6'
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # Create todos table
    op.create_table('todos',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('title', sa.String(), nullable=False),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('completed', sa.Boolean(), nullable=True),
        sa.Column(
            'created_at', 
            sa.DateTime(timezone=True), 
            server_default=sa.text('(CURRENT_TIMESTAMP)'), 
            nullable=True
        ),
        sa.Column('updated_at', sa.DateTime(timezone=True), nullable=True),
        sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_todos_id'), 'todos', ['id'], unique=False)


def downgrade() -> None:
    # Drop todos table
    op.drop_index(op.f('ix_todos_id'), table_name='todos')
    op.drop_table('todos')